Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Interface WriteCompletionEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultWriteCompletionEvent

    public interface WriteCompletionEvent

extends ChannelEvent

A `ChannelEvent` which represents the notification of the completion of a write request on a `Channel`. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

Version:
  $Rev: 2202 $, $Date: 2010-02-23 16:18:58 +0900 (Tue, 23 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`long` | `getWrittenAmount()` Returns the amount of data written.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getChannel, getFuture`

Method Detail

### getWrittenAmount

    long getWrittenAmount()

  Returns the amount of data written.

  Returns:
    the number of written bytes or messages, depending on the type of the transport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.